Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 122173 - IDE freezes on entering customized memory profiling of GlassFish
IDE freezes on entering customized memory profiling of GlassFish
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
PC All
: P2 (vote)
: 6.x
Assigned To: issues@profiler
issues@profiler
release601_fixes_candidate1, release6...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 18:05 UTC by Alexander Kouznetsov
Modified: 2008-02-20 18:14 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
GlassFish Thread Dump (37.16 KB, text/plain)
2007-11-16 18:05 UTC, Alexander Kouznetsov
Details
IDE Thread Dump (18.05 KB, text/plain)
2007-11-16 18:06 UTC, Alexander Kouznetsov
Details
Messages.log (1.02 MB, text/plain)
2007-11-16 18:06 UTC, Alexander Kouznetsov
Details
GlassFish log (24.42 KB, text/plain)
2007-11-16 18:07 UTC, Alexander Kouznetsov
Details
GlassFish thread dump (53.67 KB, text/plain)
2007-11-19 16:50 UTC, Alexander Kouznetsov
Details
IDE thread dump (23.91 KB, text/plain)
2007-11-19 16:50 UTC, Alexander Kouznetsov
Details
IDE messages log (144.81 KB, text/plain)
2007-11-19 16:50 UTC, Alexander Kouznetsov
Details
Server log (8.18 KB, text/plain)
2007-11-19 16:51 UTC, Alexander Kouznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kouznetsov 2007-11-16 18:05:27 UTC
Product Version: NetBeans IDE 6.0 RC1 (Build 200711160000)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: Windows XP version 5.1 running on x86; Cp1251; ru_RU (nb)

Performed steps:
- Started OrderSystem application profiling in Monitoring mode
- Waited for application to be shown up in browser 
- Modified profiling to customized memory allocation profiling, record stack traces, limit stack depth to 2 frames.
- Clicked link to WelcomeJSF.jsp page and watched Live Results
- RESULT: IDE became frozen, no page was shown
Comment 1 Alexander Kouznetsov 2007-11-16 18:05:53 UTC
Created attachment 53142 [details]
GlassFish Thread Dump
Comment 2 Alexander Kouznetsov 2007-11-16 18:06:10 UTC
Created attachment 53143 [details]
IDE Thread Dump
Comment 3 Alexander Kouznetsov 2007-11-16 18:06:45 UTC
Created attachment 53144 [details]
Messages.log
Comment 4 Alexander Kouznetsov 2007-11-16 18:07:55 UTC
Created attachment 53145 [details]
GlassFish log
Comment 5 Alexander Kouznetsov 2007-11-16 18:19:31 UTC
Reproduced one more time. Tried to invoke take snapshot while Live Results were populating with data. Got the freeze.
Comment 6 Alexander Kouznetsov 2007-11-19 16:49:28 UTC
Reproduced once more. Just started profiling with customized memory settings:
track each 50 object, record stack traces, stack trace limit: 5, disabled Run GC, enabled Threads. IDE became frozen.
Comment 7 Alexander Kouznetsov 2007-11-19 16:50:03 UTC
Created attachment 53215 [details]
GlassFish thread dump
Comment 8 Alexander Kouznetsov 2007-11-19 16:50:27 UTC
Created attachment 53216 [details]
IDE thread dump
Comment 9 Alexander Kouznetsov 2007-11-19 16:50:47 UTC
Created attachment 53217 [details]
IDE messages log
Comment 10 Alexander Kouznetsov 2007-11-19 16:51:30 UTC
Created attachment 53218 [details]
Server log
Comment 11 J Bachorik 2007-12-11 14:19:52 UTC
fixed in trunk
there was an issue with classloader unloading leading to a deadlock when using live results simultaneously

Checking in ClassLoaderManager.java;
/cvs/profiler/libs/jfluid/src/org/netbeans/lib/profiler/server/ClassLoaderManager.java,v  <--  ClassLoaderManager.java
new revision: 1.2; previous revision: 1.1
done
Comment 12 Maksim Khramov 2008-02-01 14:36:25 UTC
I reproduced this again on Netbeans 6.0.1 build 200801291616.

"AWT-EventQueue-1" prio=6 tid=0x283d0800 nid=0x3448 waiting for monitor entry [0x34b6f000..0x34b6fa94]
   java.lang.Thread.State: BLOCKED (on object monitor)
	at org.netbeans.lib.profiler.ProfilerClient.getAllocatedObjectsCountResults(ProfilerClient.java:432)
	- waiting to lock 0x05560488> (a org.netbeans.lib.profiler.ProfilerClient)
Comment 13 Mikhail Kondratyev 2008-02-01 15:03:30 UTC
This has to be checked in 6.1 branch. Please retest
Comment 14 Mikhail Kondratyev 2008-02-01 15:05:22 UTC
Based on prev comment changing back to Fixed
Comment 15 Maksim Khramov 2008-02-01 16:22:22 UTC
Verified in Netbeans 6.1 Build 200801311204
Comment 16 pgebauer 2008-02-06 14:02:42 UTC
The fix has been ported into the release601_fixes branch.

Checking in ClassLoaderManager.java;
/cvs/profiler/libs/jfluid/src/org/netbeans/lib/profiler/server/Attic/ClassLoaderManager.java,v  <--  ClassLoaderManager.java
new revision: 1.1.12.1; previous revision: 1.1
done
Comment 17 mariadavydova 2008-02-15 14:50:42 UTC
verified.
Build: NetBeans IDE 6.0.1 (Build 200801291616) with NB601 Patch1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo